Retrieve the unified stock of the item only from locations flagged as 'unified stock'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Allows advanced filtering using the function-based DSL. For more information please visit https://developers.unify-retail.com/docs/filtering

Allowed field(s)/operator(s):

updated_at : equals, not-equals, less-than, less-or-equal, greater-than, greater-or-equal, any, none, is-null

quantity : equals, not-equals, less-than, less-or-equal, greater-than, greater-or-equal, any, none, is-null

quantity_tampon : equals, not-equals, less-than, less-or-equal, greater-than, greater-or-equal, any, none, is-null

item_id : equals, not-equals, less-than, less-or-equal, greater-than, greater-or-equal, contains, any, none, is-null, is-empty, is-not-empty

location_id : equals, not-equals, less-than, less-or-equal, greater-than, greater-or-equal, contains, any, none, is-null, is-empty, is-not-empty

location_type : equals, not-equals, contains, starts-with, ends-with, any, none, is-null, is-empty, is-not-empty

unified_stock, ship_from_store, click_and_collect, click_and_go : equals, not-equals, is-null

integer
≥ 1
Defaults to 1

Page number to retrieve. Default: 1

integer
1 to 1000
Defaults to 50

Number of records to return per page. Default: 50. Maximum: 1000

string
deprecated

List of item IDs (separated by commas)

Deprecated - use filter=any(item_id,["3662654000033","3662654000040"]) instead.

integer
enum
deprecated

Only return locations that are flagged as unified stock

Deprecated - use filter=equals(unified_stock,1) instead.

Allowed:
integer
enum
deprecated

Only return locations that are flagged as ship from store

Deprecated - use filter=equals(ship_from_store,1) instead.

Allowed:
integer
enum
deprecated

Only return locations that are flagged as click and collect

Deprecated - use filter=equals(click_and_collect,1) instead.

Allowed:
integer
enum
deprecated

Only return locations that are flagged as click and go

Deprecated - use filter=equals(click_and_go,1) instead.

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json